<?php

require_once(t3lib_extMgm::extPath('tcdirectmail').'class.tx_tcdirectmail_target.php');

/**
 * This is the basic class for extracting record from other data sources than the database.
 * Here the internal datastructure is an array.
 * You might extend your class from this, if you use external sources.
 *
 * @abstract
 */

class tx_tcdirectmail_target_array extends tx_tcdirectmail_target {
	function resetTarget() {
	    reset($this->data);
	}
	
	function getRecord() {
	    $record = current($this->data);
	    next($this->data);
	    return $record;
	}
	
	function getCount() {
	    return count($this->data);
	}
	
	function getError() {
	    if (!is_array($this->data)) {
		return "Not an array";
	    }
	    
	    if (count($this->data) == 0) {
		return "No data fetched";
	    }
	}
}

?>