<?php

require_once (t3lib_extMgm::extPath('tcdirectmail').'class.tx_tcdirectmail_plain.php');

class tx_tcdirectmail_plain_simple extends tx_tcdirectmail_plain {
    var $fetchMethod = 'src';

    function setHtml($html) {
        $html = str_replace ("\n", '', $html);
        $html = str_replace ("\r", '', $html);
        $html = preg_replace ('|.*<body[^>]*>(.*)</body>.*|Ui', '\1', $html);
        $html = preg_replace ('|<h1[^>]*>(.*)</h1>|Ui', "\n".'==== \1 ===='."\n", $html);
        $html = preg_replace ('|<h2[^>]*>(.*)</h2>|Ui', "\n".'=== \1 ==='."\n", $html);
        $html = preg_replace ('|<h3[^>]*>(.*)</h3>|Ui', "\n".'== \1 =='."\n", $html);
        $html = preg_replace ('|<h4[^>]*>(.*)</h4>|Ui', "\n".'= \1 ='."\n", $html);
        $html = preg_replace ('|<b>(.*)</b>|Ui', '*\1*', $html);
        $html = preg_replace ('|<strong>(.*)</strong>|Ui', '*\1*', $html);
        $html = preg_replace ('|<a[^>]*href="(.*)"[^>]*>(.*)</a>|Ui', '\2 ( \1 )', $html);
        $html = str_replace ('</p>', "\n", $html);
        $html = str_replace ('<br>', "\n", $html);
        $html = str_replace ('<br />', "\n", $html);
        $html = str_replace ('</div>', "\n", $html);
        $html = str_replace ('</tr>', "\n", $html);
        $html = str_replace ('</table>', "\n", $html);
        $html = strip_tags ($html);
        $html = html_entity_decode ($html);

	$this->plainText = trim($html);
    }
}

?>