<?php

require_once (t3lib_extMgm::extPath('tcdirectmail').'class.tx_tcdirectmail_target.php');

/**
 * This is the basic SQL related directmail target. Methods implemented with DB calls.
 * Extend this class to create directmail targets which extracts records from database.
 *
 * @abstract
 */

class tx_tcdirectmail_target_sql extends tx_tcdirectmail_target {
	function getRecord() {
	    return $GLOBALS['TYPO3_DB']->sql_fetch_assoc($this->data);
	}
	
	function getCount() {
	    return $GLOBALS['TYPO3_DB']->sql_num_rows($this->data);
	}
	
	function resetTarget() {
	    $GLOBALS['TYPO3_DB']->sql_data_seek($this->data,0);
	}
	
	function getError() {
	    return $GLOBALS['TYPO3_DB']->sql_error($this->data);
	}
}

?>
