<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_tcdirectmail_targets"] = Array (
    "ctrl" => $TCA["tx_tcdirectmail_targets"]["ctrl"],
    "interface" => Array (
        "showRecordFieldList" => "hidden,title,config,setup"
    ),
    "feInterface" => $TCA["tx_tcdirectmail_targets"]["feInterface"],
    "columns" => Array (
        "hidden" => Array (        
            "exclude" => 1,    
            "label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
            "config" => Array (
                "type" => "check",
                "default" => "0"
            )
        ),
        "title" => Array (        

            "label" => "LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.title",        
            "config" => Array (
                "type" => "input",    
                "size" => "30",
            )
        ),
	
	'beusers' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.beusers',
	    'config' => Array (
                "type" => "select",    
		"foreign_table" => "be_users",    
		"foreign_table_where" => "ORDER BY be_users.uid",    
		"size" => 5,    
		"minitems" => 0,
		"maxitems" => 100,	    
	    ),
	),
	
	'fegroups' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.fegroups',
	    'config' => Array (
                "type" => "group",    
		"internal_type" => "db",    
		"allowed" => "fe_groups",    
		"size" => 5,    
		"minitems" => 0,
		"maxitems" => 100,	    
	    ),
	),
	
	'fepages' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.fepages',
	    'config' => Array (
                "type" => "group",    
		"internal_type" => "db",    
		"allowed" => "pages",    
		"size" => 5,    
		"minitems" => 0,
		"maxitems" => 100,	    
	    ),
	),
	

	'ttaddress' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.ttaddress',
	    'config' => Array (
                "type" => "group",    
		"internal_type" => "db",    
		"allowed" => "pages",    
		"size" => 5,    
		"minitems" => 0,
		"maxitems" => 100,	    
	    ),
	),

	
	'rawsql' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.rawsql',
	    'config' => Array (
		'type' => 'text',
		'cols' => '50',
		'rows' => '10',
	    ),
	),
	
	'csvseparator' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.sepchar',
	    'config' => Array(
		'type' => 'input',
		'size' => 1,
	    ),
	),
	
	'csvfields' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.csvfields',
	    'config' => Array(
		'type' => 'input',
		'size' => 20,
	    ),
	),
	
	'csvvalues' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.csvdata',
	    'config' => Array(
		'type' => 'text',
		'cols' => 40,
		'rows' => 10,
	    ),	
	),

	'csvfilename' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.csvfile',
	    'config' => Array(
                "type" => "group",
		"internal_type" => "file",
		"allowed" => "txt,csv",    
		"max_size" => 500,    
		"uploadfolder" => "uploads/tx_tcdirectmail",
		"size" => 1,    
		"minitems" => 0,
		"maxitems" => 1,
	    ),	
	),


	'csvurl' => Array(
            'exclude' => 1,
            'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.csvurl',
            'config' => Array(
                'type' => 'input',
                'size' => 20,
            ),

	),


	"targettype" => Array (
	    "exclude" => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.type',
	    "config" => array(
		'type' => 'select',
		'items' => array(
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optbeusers', 'tx_tcdirectmail_target_beusers'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optfegroups', 'tx_tcdirectmail_target_fegroups'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optfepages', 'tx_tcdirectmail_target_fepages'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optttaddress', 'tx_tcdirectmail_target_ttaddress'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optrawsql', 'tx_tcdirectmail_target_rawsql'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optcsvfile', 'tx_tcdirectmail_target_csvfile'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optcsvlist', 'tx_tcdirectmail_target_csvlist'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optcsvurl', 'tx_tcdirectmail_target_csvurl'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.opthtml', 'tx_tcdirectmail_target_html'), 
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optalreadymailed', 'tx_tcdirectmail_target_alreadymailed'), 
		    ),
		'size' => 1,
		'maxitems' => 1,
	    ),
	),

	'htmlfile' => Array(
            'exclude' => 1,
            'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.htmlurl',
            'config' => Array(
                'type' => 'input',
                'size' => 20,
            ),

	),

	'htmlfetchtype' => Array (
            "exclude" => 1,
            'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.htmlfetch',
            "config" => array(
                'type' => 'select',
                'items' => array(
                    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optmailto', 'mailto'),
                    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optregex', 'regex'),
                    ),
                'size' => 1,
                'maxitems' => 1,
            ),
	),

	'confirmed_receivers' => Array (
            "exclude" => 1,
            'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.confirmed_receivers',
            "config" => array(
                'type' => 'select',
                'items' => array(
                    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optnotconfirmed', '0'),
                    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optconfirmed', '1'),
		    array('LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.optalladdresses', '2'),
                    ),
                'size' => 1,
                'maxitems' => 1,
            ),
	),
	
	'dmail_compat' => Array (
	    'exclude' => 1,
	    'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.direct_mail_compat',
	    'config' => array (
                "type" => "check",	    
	    ),
	),

        "calculated_receivers" => array (
            'label' => 'LLL:EXT:tcdirectmail/locallang_db.xml:tx_tcdirectmail_targets.actual_receivers',
            'config' => array (
                'type' => 'user',
                'userFunc' => 'user_showreceivers',
            ),
        ),


    ),
    "types" => Array (
        "0" => Array("showitem" => "hidden;;1;;1-1-1, title, targettype"),
	'tx_tcdirectmail_target_beusers' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, beusers, ;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_fegroups' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, dmail_compat, fegroups,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_fepages' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, dmail_compat, fepages,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_ttaddress' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, dmail_compat, ttaddress,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_rawsql' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, rawsql,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_csvfile' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, csvseparator, csvfields, csvfilename,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_csvlist' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, csvseparator, csvfields, csvvalues,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_csvurl' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, csvseparator, csvfields, csvurl,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_html' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, htmlfile, htmlfetchtype,;;;;2-2-2, calculated_receivers'),
	'tx_tcdirectmail_target_alreadymailed' => Array('showitem' => 'hidden;;1;;1-1-1, title, targettype, confirmed_receivers,;;;;2-2-2, calculated_receivers'),	
    ),
    "palettes" => Array (
        "1" => Array("showitem" => ""),
    )
);


if (!function_exists('user_showreceivers')) {
    function user_showreceivers($PA, $fObj) {
	global $TYPO3_DB;
    
	if (intval($PA['row']['uid']) == 0) {
	    return "";
	}
    
	$target = tx_tcdirectmail_target::loadTarget($PA['row']['uid']);
    

	if ($target->getError()) {
	    return "Error";
	}
    
	$i = 0;
	$rows = array();
	while ($row = $target->getRecord()) {
	    if ($i == 0) {
		$rows[-1] = array_map (create_function('$a', 'return "<strong>$a</strong>";'),array_keys($row));
	    }
	
	    $rows[] = $row;    	
	
	    if ($i == 30) {
		$rows[] = array('<strong>...</strong>', '<strong>'.$target->getCount().'&nbsp;Total</strong>');
		break;
	    }
	    $i++;	
	}

	if ($i < 30) {
    	    $rows[] = array('<strong>'.$target->getCount().'&nbsp;Total</strong>');
	} 
    
	foreach ($rows as $row) {
	    $out .= '<tr>';
    	    foreach ($row as $field) {
		$out .= "<td>$field</td>";
	    }
    	    $out .= '</tr>';
	}
    
	return '<div style="height: 240px; width:430px; overflow: scroll; background-color: white;"><table>'.$out.'</table></div>';
    }
}

?>